.header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 2000;
  background: transparent;
  transition: 0.3s ease;
}

.header.active {
  background: #ffffff;
}

/* ===== DROPDOWN ===== */

.mega-dropdown {
  position: fixed;
  top: 0px;
  left: 0;
  width: 100%;
  height: auto;

  background: rgba(255,255,255,1);
  backdrop-filter: blur(12px);

  z-index: 1500;

  display: flex;

  opacity: 0;
  pointer-events: none;
  transform: translateY(-10px);

  transition: opacity 0.35s ease, transform 0.35s ease;
  padding-top: 65px;
}

.mega-dropdown.open {
  opacity: 1;
  pointer-events: all;
  transform: translateY(0);
}

/* ===== LEFT ===== */

.menu-left {
  width: 150px;
  margin: 50px 4.3%;
  border-right: 0.4px solid #CBD0D8;
}

.cat {
  font-size: 18px;
  margin-bottom: 16px;
  cursor: pointer;
  color: #696B6D;

  opacity: 0;
  transform: translateY(8px);
  transition: all 0.35s ease;
  font-family: 'IvyPrestoHeadline';
  font-weight: 300;
}

.mega-dropdown.open .cat {
  opacity: 1;
  transform: translateY(0);
}

.mega-dropdown.open .cat:nth-child(1) { transition-delay: 0.05s; }
.mega-dropdown.open .cat:nth-child(2) { transition-delay: 0.10s; }
.mega-dropdown.open .cat:nth-child(3) { transition-delay: 0.15s; }
.mega-dropdown.open .cat:nth-child(4) { transition-delay: 0.20s; }

.cat.active {
  text-decoration: underline;
  color: #4E4946;
}

/* ===== RIGHT ===== */

.menu-right {
  padding: 50px 0px;
  display: grid;
  grid-auto-flow: column;
  grid-template-rows: repeat(4, auto);
  gap: 16px 100px;
  height: fit-content;
}

/* fade-out state */
.menu-right.switching {
  opacity: 0.3;
  transform: translateY(5px);
  transition: all 0.15s ease;
}

#menuArea .menu-right .subitem {
  display: block;
  font-size: 18px;
  color: #696B6D;
  text-decoration: none;

  opacity: 0;
  transform: translateY(8px);

  animation: fadeUp 0.3s ease forwards;
  font-family: 'IvyPrestoHeadline';
  font-weight: 300;
}
#menuArea .menu-right .subitem:hover {
    text-decoration: underline;
    color: #4E4946;
    transition: all 0.3s ease;
}

@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.subitem:hover {
  color: #777;
  transition: 0.2s;
}